Skip to main content
GET
List store departments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

active
boolean

Whether the department has not been deactivated.

ending_before
string

Return records that precede the record with this ID, in list order.

Pattern: ^[0-9]+$
limit
integer
default:20

Maximum number of records to return.

Required range: 1 <= x <= 100
parent_department_id
string[]

The parent department a sub-department belongs to. Repeat to match any of up to 20 values.

starting_after
string

Return records that follow the record with this ID, in list order.

Pattern: ^[0-9]+$
store_id
string[]

The store the department belongs to. Repeat to match any of up to 20 values.

Response

A page of departments.

data
object[]
required
has_more
boolean
required

Whether more records follow this page.